var search_data = {"index":{"searchIndex":["emu","decodeerror","decoder","err","ok",">()","array()","at_index()","boolean()","error?()","error?()","fail()","float()","fmap()","from_key()","from_key_or_nil()","integer()","lazy()","map_n()","match()","new()","new()","new()","nil()","raw()","run()","run!()","str_to_bool()","str_to_float()","str_to_int()","string()","succeed()","then()","then()","then()","to_s()","to_s()","unwrap()","unwrap()","unwrap_err()","unwrap_err()","|()"],"longSearchIndex":["emu","emu::decodeerror","emu::decoder","emu::err","emu::ok","emu::decoder#>()","emu::array()","emu::at_index()","emu::boolean()","emu::err#error?()","emu::ok#error?()","emu::fail()","emu::float()","emu::decoder#fmap()","emu::from_key()","emu::from_key_or_nil()","emu::integer()","emu::lazy()","emu::map_n()","emu::match()","emu::decoder::new()","emu::err::new()","emu::ok::new()","emu::nil()","emu::raw()","emu::decoder#run()","emu::decoder#run!()","emu::str_to_bool()","emu::str_to_float()","emu::str_to_int()","emu::string()","emu::succeed()","emu::decoder#then()","emu::err#then()","emu::ok#then()","emu::err#to_s()","emu::ok#to_s()","emu::err#unwrap()","emu::ok#unwrap()","emu::err#unwrap_err()","emu::ok#unwrap_err()","emu::decoder#|()"],"info":[["Emu","","Emu.html","",""],["Emu::DecodeError","","Emu/DecodeError.html","",""],["Emu::Decoder","","Emu/Decoder.html","",""],["Emu::Err","","Emu/Err.html","",""],["Emu::Ok","","Emu/Ok.html","",""],[">","Emu::Decoder","Emu/Decoder.html#method-i-3E","(value)",""],["array","Emu","Emu.html#method-c-array","(decoder)","<p>Creates a decoder which decodes the values of an array and returns the decoded array.\n<p>@example\n\n<pre>Emu.array(Emu.str_to_int).run!([&quot;42&quot;, ...</pre>\n"],["at_index","Emu","Emu.html#method-c-at_index","(index, decoder)","<p>Creates a decoder which extracts the value of an array at the given index.\n<p>@example\n\n<pre class=\"ruby\"><span class=\"ruby-constant\">Emu</span>.<span class=\"ruby-identifier\">at_index</span>(<span class=\"ruby-value\">0</span>, <span class=\"ruby-constant\">Emu</span>.<span class=\"ruby-identifier\">str_to_int</span>).<span class=\"ruby-identifier\">run!</span>([<span class=\"ruby-string\">&quot;42&quot;</span>]) <span class=\"ruby-operator\">...</span>\n</pre>\n"],["boolean","Emu","Emu.html#method-c-boolean","()","<p>Creates a decoder which only accepts booleans.\n<p>@example\n\n<pre class=\"ruby\"><span class=\"ruby-constant\">Emu</span>.<span class=\"ruby-identifier\">boolean</span>.<span class=\"ruby-identifier\">run!</span>(<span class=\"ruby-keyword\">true</span>) <span class=\"ruby-comment\"># =&gt; true</span>\n<span class=\"ruby-constant\">Emu</span>.<span class=\"ruby-identifier\">boolean</span>.<span class=\"ruby-identifier\">run!</span>(<span class=\"ruby-keyword\">false</span>) <span class=\"ruby-operator\">...</span>\n</pre>\n"],["error?","Emu::Err","Emu/Err.html#method-i-error-3F","()",""],["error?","Emu::Ok","Emu/Ok.html#method-i-error-3F","()",""],["fail","Emu","Emu.html#method-c-fail","(message)","<p>Creates a decoder which always fails with the provided message.\n<p>@example\n\n<pre class=\"ruby\"><span class=\"ruby-constant\">Emu</span>.<span class=\"ruby-identifier\">fail</span>(<span class=\"ruby-string\">&quot;foo&quot;</span>).<span class=\"ruby-identifier\">run!</span>(<span class=\"ruby-value\">42</span>) <span class=\"ruby-comment\"># =&gt; ...</span>\n</pre>\n"],["float","Emu","Emu.html#method-c-float","()","<p>Creates a decoder which only accepts floats (including integers). Integers are converted to floats because …\n"],["fmap","Emu::Decoder","Emu/Decoder.html#method-i-fmap","()",""],["from_key","Emu","Emu.html#method-c-from_key","(key, decoder)","<p>Creates a decoder which extracts the value of a hash map according to the given key.\n<p>@example\n\n<pre>Emu.from_key(:a, ...</pre>\n"],["from_key_or_nil","Emu","Emu.html#method-c-from_key_or_nil","(key, decoder)","<p>Creates a decoder which extracts the value of a hash map according to the given key. If the key cannot …\n"],["integer","Emu","Emu.html#method-c-integer","()","<p>Creates a decoder which only accepts integers.\n<p>@example\n\n<pre class=\"ruby\"><span class=\"ruby-constant\">Emu</span>.<span class=\"ruby-identifier\">integer</span>.<span class=\"ruby-identifier\">run!</span>(<span class=\"ruby-value\">2</span>) <span class=\"ruby-comment\"># =&gt; 2</span>\n<span class=\"ruby-constant\">Emu</span>.<span class=\"ruby-identifier\">integer</span>.<span class=\"ruby-identifier\">run!</span>(<span class=\"ruby-string\">&quot;2&quot;</span>) <span class=\"ruby-operator\">...</span>\n</pre>\n"],["lazy","Emu","Emu.html#method-c-lazy","()","<p>Wraps a decoder <code>d</code> in a lazily evaluated block to avoid endless recursion when dealing with recursive …\n"],["map_n","Emu","Emu.html#method-c-map_n","(*decoders, &block)","<p>Builds a decoder out of <code>n</code> decoders and maps a function over the result of the passed in decoders. For …\n"],["match","Emu","Emu.html#method-c-match","(constant)","<p>Returns a decoder which succeeds if the input value matches <code>constant</code>. If the decoder succeeds it resolves …\n"],["new","Emu::Decoder","Emu/Decoder.html#method-c-new","(&block)",""],["new","Emu::Err","Emu/Err.html#method-c-new","(error)",""],["new","Emu::Ok","Emu/Ok.html#method-c-new","(value)",""],["nil","Emu","Emu.html#method-c-nil","()","<p>Creates a decoder which only accepts `nil` values.\n<p>@example\n\n<pre class=\"ruby\"><span class=\"ruby-constant\">Emu</span>.<span class=\"ruby-identifier\">nil</span>.<span class=\"ruby-identifier\">run!</span>(<span class=\"ruby-keyword\">nil</span>) <span class=\"ruby-comment\"># =&gt; nil</span>\n<span class=\"ruby-constant\">Emu</span>.<span class=\"ruby-identifier\">nil</span>.<span class=\"ruby-identifier\">run!</span>(<span class=\"ruby-value\">42</span>) <span class=\"ruby-operator\">...</span>\n</pre>\n"],["raw","Emu","Emu.html#method-c-raw","()","<p>Creates a decoder which always succeeds and yields the input.\n<p>This might be useful if you don&#39;t care …\n"],["run","Emu::Decoder","Emu/Decoder.html#method-i-run","(value)",""],["run!","Emu::Decoder","Emu/Decoder.html#method-i-run-21","(value)",""],["str_to_bool","Emu","Emu.html#method-c-str_to_bool","()","<p>Creates a decoder which converts a string to a boolean (<code>true</code>, <code>false</code>) value.\n<p><code>&quot;0&quot;</code> and <code>&quot;false&quot;</code> …\n"],["str_to_float","Emu","Emu.html#method-c-str_to_float","()","<p>Creates a decoder which converts a string to a float. It uses <code>Float</code> for the conversion.\n<p>@example\n\n<pre class=\"ruby\"><span class=\"ruby-constant\">Emu</span>.<span class=\"ruby-identifier\">str_to_float</span>.<span class=\"ruby-identifier\">run!</span>(<span class=\"ruby-string\">&quot;42.2&quot;</span>) <span class=\"ruby-operator\">...</span>\n</pre>\n"],["str_to_int","Emu","Emu.html#method-c-str_to_int","()","<p>Creates a decoder which converts a string to an integer. It uses <code>Integer</code> for the conversion.\n<p>@example …\n"],["string","Emu","Emu.html#method-c-string","()","<p>Creates a decoder which only accepts strings.\n<p>@example\n\n<pre class=\"ruby\"><span class=\"ruby-constant\">Emu</span>.<span class=\"ruby-identifier\">string</span>.<span class=\"ruby-identifier\">run!</span>(<span class=\"ruby-string\">&quot;2&quot;</span>) <span class=\"ruby-comment\"># =&gt; &quot;2&quot;</span>\n<span class=\"ruby-constant\">Emu</span>.<span class=\"ruby-identifier\">string</span>.<span class=\"ruby-identifier\">run!</span>(<span class=\"ruby-value\">2</span>) <span class=\"ruby-operator\">...</span>\n</pre>\n"],["succeed","Emu","Emu.html#method-c-succeed","(value)","<p>Creates a decoder which always succeeds with the provided value.\n<p>@example\n\n<pre class=\"ruby\"><span class=\"ruby-constant\">Emu</span>.<span class=\"ruby-identifier\">succeed</span>(<span class=\"ruby-string\">&quot;foo&quot;</span>).<span class=\"ruby-identifier\">run!</span>(<span class=\"ruby-value\">42</span>) <span class=\"ruby-comment\"># ...</span>\n</pre>\n"],["then","Emu::Decoder","Emu/Decoder.html#method-i-then","()",""],["then","Emu::Err","Emu/Err.html#method-i-then","()",""],["then","Emu::Ok","Emu/Ok.html#method-i-then","()",""],["to_s","Emu::Err","Emu/Err.html#method-i-to_s","()",""],["to_s","Emu::Ok","Emu/Ok.html#method-i-to_s","()",""],["unwrap","Emu::Err","Emu/Err.html#method-i-unwrap","()",""],["unwrap","Emu::Ok","Emu/Ok.html#method-i-unwrap","()",""],["unwrap_err","Emu::Err","Emu/Err.html#method-i-unwrap_err","()",""],["unwrap_err","Emu::Ok","Emu/Ok.html#method-i-unwrap_err","()",""],["|","Emu::Decoder","Emu/Decoder.html#method-i-7C","(decoder)",""]]}}